public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Göktürk Yüksek" <gokturk@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-laptop/mbpfan/
Date: Wed, 19 Sep 2018 20:50:13 +0000 (UTC)	[thread overview]
Message-ID: <1537390190.6a4dd0223d5d356d55ef58c6796633d0bd982b3e.gokturk@gentoo> (raw)

commit:     6a4dd0223d5d356d55ef58c6796633d0bd982b3e
Author:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 19 20:31:45 2018 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Wed Sep 19 20:49:50 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a4dd022

app-laptop/mbpfan: bump to 2.1.0

Package-Manager: Portage-2.3.49, Repoman-2.3.10

 app-laptop/mbpfan/Manifest            |  1 +
 app-laptop/mbpfan/mbpfan-2.1.0.ebuild | 44 +++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/app-laptop/mbpfan/Manifest b/app-laptop/mbpfan/Manifest
index 5bb48ff465f..36ed6c5008b 100644
--- a/app-laptop/mbpfan/Manifest
+++ b/app-laptop/mbpfan/Manifest
@@ -1,3 +1,4 @@
 DIST mbpfan-1.9.1.tar.gz 24393 BLAKE2B 9fd96f6903aa360a86e2813d9bf3e57fe28dacc7bbfb25c94eba90a41de1bbf48adb840ec664e9ab3dccafcb361a8799d14ccc258fa377fac88a510c1063a92d SHA512 04f1f70697ccd182c329588623c6664979e1cc25db8a39a2ea9f6d1ec49f3914172c3ada392fabc9ac51a811f36087dc600426c34c201d02a5d7b791b04f0f3b
 DIST mbpfan-2.0.0.tar.gz 37912 BLAKE2B 8d2ce41d8f6a724e28ace0c23047dde4a0a60ae10beeec3e3d7194bbd6b87ae0c340cf025deca896208e225083e0bb67043c6b00135544f2d78e39fbf55b3fcd SHA512 9a7f930afe0a151fe50bf3ef1a06a5cecaced0c47f7088a83b91e25dff85d4b0d53494eac5eb1b624bde6ff1d3307a0d9fe6ba392fdacbe58e241d93d11cda6d
 DIST mbpfan-2.0.1.tar.gz 37805 BLAKE2B 0988a9b5cd359b4e64fdb1e63322dea7582fdc9a9dda0760550945282ef6142dbcab8aeb78ec1a725b5f9aebcda72386e3fa4b8b5f7ecdf078106d229fb7e2af SHA512 8fd2e37b9b81720ff7efa490d285da5980ef5dcc858fef4b0c24166a8f0df46aa230ea18fca5775b222271918e5ca6df1bfbbdced068182c20eeb86192ed2019
+DIST mbpfan-2.1.0.tar.gz 39303 BLAKE2B b51b7df8c24cc49561f45614a655c698b85f149367f888aceb90b90e27e2da03ede7beed58e552e163e9f625d950290198f6d56a545c10989a8d0e27909556a7 SHA512 8750ac47419e84f8692a478e3977b56b98be9e255d5be9876094eef0f86bc587510959cc4cff0d681fb9e1ecaf98f90d9d0b63a1a6ddd25e8de4ccfda747b54a

diff --git a/app-laptop/mbpfan/mbpfan-2.1.0.ebuild b/app-laptop/mbpfan/mbpfan-2.1.0.ebuild
new file mode 100644
index 00000000000..b5910627d29
--- /dev/null
+++ b/app-laptop/mbpfan/mbpfan-2.1.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit linux-info systemd toolchain-funcs
+
+DESCRIPTION="A simple daemon to control fan speed on all Macbook/Macbook Pros"
+HOMEPAGE="https://github.com/dgraziotin/mbpfan"
+LICENSE="GPL-3+"
+SLOT="0"
+RESTRICT="test" # will fail if the hardware is unavailable, not useful
+
+if [[ "${PV}" = 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/dgraziotin/${PN}.git"
+	KEYWORDS=""
+else
+	SRC_URI="https://github.com/dgraziotin/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+CONFIG_CHECK="~SENSORS_APPLESMC ~SENSORS_CORETEMP"
+
+src_compile() {
+	emake CC="$(tc-getCC)"
+}
+
+src_install() {
+	emake DESTDIR="${ED}" install
+
+	# Remove the empty systemd unit directory
+	# It doesn't actually install the unit file
+	rmdir --ignore-fail-on-non-empty -p "${ED%/}/lib/systemd/system" || die
+	# Actually install the sytstemd unit file
+	systemd_dounit ${PN}.service
+	# Install openrc init file
+	newinitd ${PN}.init.gentoo ${PN}
+
+	# make install doesn't install the docs in the right place
+	rm -rf "${ED%/}/usr/share/doc/${PN}" || die
+
+	einstalldocs
+}


             reply	other threads:[~2018-09-19 20:50 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-09-19 20:50 Göktürk Yüksek [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-25 22:08 [gentoo-commits] repo/gentoo:master commit in: app-laptop/mbpfan/ Göktürk Yüksek
2024-05-22  7:09 Göktürk Yüksek
2023-06-27  3:21 Göktürk Yüksek
2022-07-31 22:52 David Seifert
2022-07-31 22:52 David Seifert
2022-07-31 22:52 David Seifert
2019-11-25 20:18 Göktürk Yüksek
2019-11-01 18:38 Göktürk Yüksek
2019-11-01 18:38 Göktürk Yüksek
2019-11-01 18:38 Göktürk Yüksek
2019-04-29 14:53 Göktürk Yüksek
2017-08-23 18:43 Göktürk Yüksek
2017-08-23 18:43 Göktürk Yüksek
2017-04-02 20:11 Göktürk Yüksek
2017-04-02 20:11 Göktürk Yüksek
2016-10-17 11:30 Göktürk Yüksek

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1537390190.6a4dd0223d5d356d55ef58c6796633d0bd982b3e.gokturk@gentoo \
    --to=gokturk@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox